Bug 417891 - Thunderbird not handling news:// links
Thunderbird not handling news:// links
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
TB12ReproductionRequest
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-10 06:40 EST by Graham White
Modified: 2008-06-04 03:34 EDT (History)
0 users

See Also:
Fixed In Version: thunderbird-2.0.0.14-1.fc9.i386
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-13 11:31:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Prefs file from ~/.thunderbird that remained in place during upgrade (4.16 KB, text/plain)
2008-06-04 03:31 EDT, Graham White
no flags Details
Prefs file generated fresh after ~/.thunderbird was moved. (3.23 KB, text/plain)
2008-06-04 03:32 EDT, Graham White
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 422673 None None None Never

  None (edit)
Description Graham White 2007-12-10 06:40:47 EST
Description of problem:
Thunderbird does not handle news:// links internally.  It highlights the link by
default so they are clickable, but when clicked it identifies them as an HTML
document.  A URL handler dialog box is opened with a link to save the document
or open it in another application.  The correct behavior should be to open the
link within Thunderbird.  This behavior is written into Thunderbird (works on
non Redhat/Fedora platforms), so I'm guessing it's a compile/packaging issue or
some problem with the default preferences on Fedora.

Version-Release number of selected component (if applicable):
Thunderbird 2.0.0.9 on Fedora 8 exhibits this issue.


How reproducible:
Start thunderbird, configure a newsgroup (NNTP) account type.  Go to a forum,
right-click any post to copy a message using and select Copy Message location. 
You can paste this link into another post, which will become clickable, but not
open within Thunderbird as it should.
Comment 1 Matěj Cepl 2008-03-07 17:42:43 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test with the latest
version of Thunderbird (2.0.0.12) now available for your distribution and
provide feedback as to whether the problem still exists so we can file a ticket
upstream as soon as possible.
Comment 2 Graham White 2008-03-13 05:45:09 EDT
This still happens with 2.0.0.12 on Fedora 8, and I've also tested this time on
a RHEL 5 WS box with the same result.
Comment 3 Matěj Cepl 2008-03-13 11:31:04 EDT
We found that this bug has been already registered in the upstream database
(https://bugzilla.mozilla.org/show_bug.cgi?id=422673) and believe that it is
more appropriate to let it be resolved upstream.

Red Hat will continue to track the issue in the centralized upstream bug
tracker, and will review any bug fixes that become available for consideration
in future updates.

Thank you for the bug report.
Comment 4 Matěj Cepl 2008-05-30 03:41:48 EDT
Cannot reproduce with thunderbird-2.0.0.14-1.fc9.i386
Comment 5 Graham White 2008-06-03 09:54:46 EDT
The problem persists for me running while thunderbird-2.0.0.14-1.fc9.i386.  I've
just re-installed Thunderbird from yum to double-check and if I click on news://
links even after a fresh install it still asks me to open another application to
handle the link.
Comment 6 Matěj Cepl 2008-06-04 02:43:26 EDT
(In reply to comment #5)
> The problem persists for me running while thunderbird-2.0.0.14-1.fc9.i386.  I've
> just re-installed Thunderbird from yum to double-check and if I click on news://
> links even after a fresh install it still asks me to open another application to
> handle the link.

Could you rename your ~/.thunderbird/*/prefs.js file to something else and
restart thunderbird, please? (you will have to recreate your account setting;
please, be sure to backup your ~/.thunderbird directory before doing anything
there) Does it help? If yes, please, attach such prefs.js file to this bug.

Thank you
Comment 7 Graham White 2008-06-04 03:31:18 EDT
Created attachment 308326 [details]
Prefs file from ~/.thunderbird that remained in place during upgrade
Comment 8 Graham White 2008-06-04 03:32:26 EDT
Created attachment 308327 [details]
Prefs file generated fresh after ~/.thunderbird was moved.
Comment 9 Graham White 2008-06-04 03:34:37 EDT
OK 2 attachments here.  What I did was to mv ~/.thunderbird ~/.thunderbird.old
and restart Thunderbird (I checked there were no lingering thunderbird
processes).  The two prefs.js files are attached above as requested; one from
the ~/.thunderbird.old directory that would have been in place during the RPM
install and the new one generated entirely by the latest
thunderbird-2.0.0.14-1.fc9.i386.

Note You need to log in before you can comment on or make changes to this bug.